Subject: Re: [PATCH 06/14] lockfile: introduce flag for locks outside .git

From: Jeff King <[email-masked]>
Date: Wed, 3 Dec 2014 18:57:42 -0500

On Wed, Dec 03, 2014 at 03:29:51PM -0800, Jonathan Nieder wrote:

> Junio C Hamano wrote:
> 
> > I tried to merge the 14-patch series with obvious fix-ups after
> > dropping the rerere abortion change you sent separately and in
> > duplicate and also dropping sb/copy-fd, but I've ran out of patience
> > with this step, at least for today's integration cycle.  Should we
> > also drop jk/lock-ref-sha1-basec-return-errors topic as well?
> 
> I don't mind adding it to the series.

Please do add it in, rather than dropping it. It fixes a real racy
condition in which "pack-refs --prune" wants to lock a ref only to prune
it, and it's OK to continue on if the lock fails (without that patch,
pack-refs dies prematurely).

-Peff